login/urls.py
from django.urls import path
from . import views

#url for app

app_name = 'login'

urlpatterns = [
    path('',views.fiturlogin, name='fiturlogin'),
    path('register/', views.register, name='register'),
    path('regisPasien/', views.regisPasien, name='pasien'),
    path('regisDoctor/', views.regisDoctor, name='doctor'),
    path('regisAdministrator/', views.regisAdm, name='admin'),
    path('logout/',views.logout,name='logout'),
    path('home/',views.home,name='home')
]

tugas_kelompok38/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('login.urls')),
    path('regisdokterrs/', include('reg_dokter_rs.urls')),
    path('layananpoli/', include('layanan_poli.urls')),
    path('transaksi/', include('transaksi.urls')),
    path('registerAdm/', include('regis_adm_to_RS.urls')),
    path('createResep/', include('create_resep.urls')),
    path('createObat/', include('create_obat.urls')),
    path('sesi_konsul/', include('sesi_konsultasi.urls')),
    path('rs_cabang/', include('rs_cabang.urls')),
]

login/models.py
from django.db import models

# Create your models here.

login/forms.py
from django import forms
from datetime import datetime
from django.db import connection
from hashlib import sha3_512 as sha

class LoginForm(forms.Form):
    attrs = {'class' : 'form-control'}
    choices = [
        ('pasien', 'Pasien'),
        ('admin', 'Admin'),
        ('dokter', 'Dokter'),
    ]

    username = forms.CharField(label='Username', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    password = forms.CharField(label='Password', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    role = forms.CharField(label='Role', required=True, max_length=255, widget=forms.Select(choices=choices, attrs=attrs))


class DokterForm(forms.Form):
    attrs = {'class' : 'form-control'}
    username = forms.CharField(
        label='Username', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    password = forms.CharField(
        label='Password', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    no_identitas = forms.CharField(
        label='No Identitas', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    nama_lengkap = forms.CharField(
        label='Nama Lengkap', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    tanggal_lahir = forms.DateField(
        label='Tanggal Lahir', widget=forms.SelectDateWidget(attrs=attrs))
    email = forms.CharField(
        label='Email', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    alamat = forms.CharField(
        label='Alamat', required=True, widget=forms.Textarea(attrs=attrs))
    no_sip = forms.CharField(
        label='No SIP', required=True, max_length=20, widget=forms.TextInput(attrs=attrs))
    spesialisasi = forms.CharField(
        label='Spesialisasi', required=True, max_length=20, widget=forms.TextInput(attrs=attrs))

    def save(self, commit=True):
        username = self.cleaned_data.get('username')
        password = self.cleaned_data.get('password')
        no_identitas = self.cleaned_data.get('no_identitas')
        nama_lengkap = self.cleaned_data.get('nama_lengkap')
        tanggal_lahir = self.cleaned_data.get('tanggal_lahir')
        email = self.cleaned_data.get('email')
        alamat = self.cleaned_data.get('alamat')
        no_sip = self.cleaned_data.get('no_sip')
        spesialisasi = self.cleaned_data.get('spesialisasi')

        jumlah=0
        with connection.cursor() as hitung:
            hitung.execute("SELECT COUNT(*) FROM DOKTER")
            jumlah += hitung.fetchone()[0]

        id_dokter = 0
        if jumlah < 1:
            id_dokter = 1
        elif jumlah >=1:
            id_dokter = 1 + jumlah

        # save to the database postgresql
        with connection.cursor() as dokter:
            dokter.execute('insert into pengguna values (%s, %s, %s, %s, %s, %s, %s)', [email, username, password, nama_lengkap, no_identitas, tanggal_lahir, alamat])
            dokter.execute('insert into dokter values (%s, %s, %s, %s)', [id_dokter, username, no_sip, spesialisasi])

class AdminForm(forms.Form):
    attrs = {'class' : 'form-control'}
    username = forms.CharField(
        label='Username', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    password = forms.CharField(
        label='Password', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    no_identitas = forms.CharField(
        label='No Identitas', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    nama_lengkap = forms.CharField(
        label='Nama Lengkap', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    tanggal_lahir = forms.DateField(
        label='Tanggal Lahir', widget=forms.SelectDateWidget(attrs=attrs))
    email = forms.CharField(
        label='Email', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    alamat = forms.CharField(
        label='Alamat', required=True, widget=forms.Textarea(attrs=attrs))

    def save(self, commit=True):
        username = self.cleaned_data.get('username')
        password = self.cleaned_data.get('password')
        no_identitas = self.cleaned_data.get('no_identitas')
        nama_lengkap = self.cleaned_data.get('nama_lengkap')
        tanggal_lahir = self.cleaned_data.get('tanggal_lahir')
        email = self.cleaned_data.get('email')
        alamat = self.cleaned_data.get('alamat')

        jumlah=0
        with connection.cursor() as hitung:
            hitung.execute("SELECT COUNT(*) FROM ADMINISTRATOR")
            jumlah += hitung.fetchone()[0]

        no_pegawai = 0
        if jumlah < 1:
            no_pegawai = 1
        elif jumlah >=1:
            no_pegawai = 1 + jumlah

        kode_rs = 105

        # save to the database postgresql
        with connection.cursor() as admin:
            admin.execute('insert into pengguna values (%s, %s, %s, %s, %s, %s, %s)', [email, username, password, nama_lengkap, no_identitas, tanggal_lahir, alamat])
            admin.execute('insert into dokter values (%s, %s, %s)', [no_pegawai, username, kode_rs])

class PasienForm(forms.Form):
    attrs = {'class' : 'form-control'}
    username = forms.CharField(
        label='Username', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    password = forms.CharField(
        label='Password', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    no_identitas = forms.CharField(
        label='No Identitas', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    nama_lengkap = forms.CharField(
        label='Nama Lengkap', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    tanggal_lahir = forms.DateField(
        label='Tanggal Lahir', widget=forms.SelectDateWidget(attrs=attrs))
    email = forms.CharField(
        label='Email', required=True, max_length=255, widget=forms.TextInput(attrs=attrs))
    alamat = forms.CharField(
        label='Alamat', required=True, widget=forms.Textarea(attrs=attrs))
    alergi = forms.CharField(
        label='Alergi', required=True, widget=forms.TextInput(attrs=attrs))

    def save(self, commit=True):
        username = self.cleaned_data.get('username')
        password = self.cleaned_data.get('password')
        no_identitas = self.cleaned_data.get('no_identitas')
        nama_lengkap = self.cleaned_data.get('nama_lengkap')
        tanggal_lahir = self.cleaned_data.get('tanggal_lahir')
        email = self.cleaned_data.get('email')
        alamat = self.cleaned_data.get('alamat')
        alergi = self.cleaned_data.get('alergi')

        jumlah=0
        with connection.cursor() as hitung:
            hitung.execute("SELECT COUNT(*) FROM PASIEN")
            jumlah += hitung.fetchone()[0]

        no_rekam_medis = 0
        if jumlah < 1:
            no_rekam_medis = 301
        elif jumlah >=1:
            no_rekam_medis = 301 + jumlah

        nama_asuransi = 'ASURANSI A'

        # save to the database postgresql
        with connection.cursor() as pasien:
            pasien.execute('insert into pengguna values (%s, %s, %s, %s, %s, %s, %s)', [email, username, password, nama_lengkap, no_identitas, tanggal_lahir, alamat])
            pasien.execute('insert into pasien values (%s, %s, %s)', [no_rekam_medis, username, nama_asuransi])



#from django.db import models
# from django import forms
#from .models import loginMedikaGo
#from django.contrib.auth.models import User
#from django.contrib.auth.forms import UserCreationForm

#class registerForm(UserCreationForm):
    #first_name = forms.CharField(max_length=30, required=False, help_text='Please enter your name')
    #last_name = forms.CharField(max_length=30, required=False, help_text='Please enter your name')
    #address = forms.CharField(max_length=100, required=False, help_text='Please enter your address')
    #number = forms.IntegerField(required=False, help_text='Please enter your number')

    #class Meta:
        #model = User
        #fields = ('first_name', 'last_name', 'username','address','number', 'password1', 'password2', )

login/views.py
# Create your views here.
from django.shortcuts import render, redirect
#from django.core import serializers
#from .models import loginMedikaGo
#from django.contrib import messages
#from django.contrib.auth.forms import AuthenticationForm
#from django.contrib.auth import authenticate, login
#from .forms import registerForm
# import requests
from django.shortcuts import render, redirect, HttpResponse
from django.db import connection
from hashlib import sha3_512 as sha
from .forms import DokterForm, AdminForm, PasienForm, LoginForm
from .decorators import admin_only, authors_only

# Create your views here.
def logout(request):
    request.session.flush()
    return redirect('login:fiturlogin')

def home(request):
    return render(request,'home.html')
    
def fiturlogin(request):
    form = LoginForm
    if request.session.get('role') == 'pasien' or request.session.get('role') == 'dokter' or request.session.get('role') == 'admin':
        return redirect('login:home')
    if request.method == 'POST':
        username = request.POST.get('username', False)
        password = request.POST.get('password', False)
        role = request.POST.get('role', False)
        if not (username and password):
            return redirect('home')

        # hash password with sha3
        # hashed_password = sha(password.encode()).hexdigest()
        with connection.cursor() as login_cursor:
            login_cursor.execute("select * from pengguna where username=%s and password=%s", [username, password])
            result = login_cursor.fetchone()
            if result:
                if role == 'admin':
                    with connection.cursor() as adm:
                        adm.execute("select * from administrator where username=%s", [username])
                        hasil = adm.fetchone()
                        if hasil:
                            request.session['role'] = role
                            return redirect('login:home')

                elif role == 'dokter':
                    with connection.cursor() as dr:
                        dr.execute("select * from dokter where username=%s", [username])
                        hasil = dr.fetchone()
                        if hasil:
                            request.session['role'] = role
                            return redirect('login:home')

                elif role == 'pasien':
                    with connection.cursor() as psn:
                        psn.execute("select * from pasien where username=%s", [username])
                        hasil = psn.fetchone()
                        if hasil:
                            request.session['role'] = role
                            return redirect('login:home')
                
            return render(request, 'login.html', {'errors' : 'username/password salah', 
                                                'username' : username, 
                                                'password' : password,
                                                'form' : form})
    return render(request, 'login.html', {'form' : form})

def register(request):
    return render(request,'register.html')

def regisPasien(request):
    form = PasienForm
    if request.method == 'POST':
        form = form(request.POST)
        if form.is_valid():
            form.save()
            return redirect('login:fiturlogin')
    return render(request, 'akunPasien.html', {'form' : form})

def regisDoctor(request):
    form = DokterForm
    if request.method == 'POST':
        form = form(request.POST)
        if form.is_valid():
            form.save()
            return redirect('login:fiturlogin')
    return render(request, 'akunDoctor.html', {'form' : form})

def regisAdm(request):
    form = AdminForm
    if request.method == 'POST':
        form = form(request.POST)
        if form.is_valid():
            form.save()
            return redirect('login:fiturlogin')
    return render(request, 'akunAdministrator.html', {'form' : form})


#def fiturlogin(request):
    #if request.method == "POST":
        #form = AuthenticationForm(data = request.POST)
        #if form.is_valid():
            #user = form.get_user()

            #login(request, user)
            #return redirect('login:show')
    #else:
        #form = AuthenticationForm()
    #return render(request, "login.html", {"form" : form })


#def register(request):
    #if request.method == 'POST':
        #form_regis = registerForm(request.POST)
        #if form_regis.is_valid():
            #x = form_regis.save(commit = False)
            #x.first_name = form_regis.cleaned_data.get('first_name')
            #x.last_name = form_regis.cleaned_data.get('last_name')
            #x.save()

            #address1 = form_regis.cleaned_data.get('address')
            #number1 = form_regis.cleaned_data.get('number')
            #user_medikaGo = loginMedikaGo(address = address1, number = number1)
            #user_medikaGo.user = x
            #user_medikaGo.save()

            #x.save()
            #return redirect('login:fiturlogin')
    #else:
        #form_regis = registerForm()
    #return render(request, "register.html", {'form': form_regis})

#def show(request):
    #username_login = request.user.username
    #return render(request,'show.html',{'name' : username_login, "navbar" : True})

login/templates/akunAdministrator.html
{% extends "base.html" %}
{% load static %}
{% block content %}
    
<div class="container">
	<div class="d-flex justify-content-center card">
		<div class="card-header">
			<h3>Registrasi Administrator</h3>
		</div>
		<div class="card-body">
			<form method="POST">
				{% for i in form %}
				<div class="form-group">
					{{ i.label }}
					{{ i }}
					{% if i.errors %}
						<strong style="color: red;">{{ i.errors }}</strong>
					{% endif %}
				</div>
				{% endfor %}
				{% csrf_token %}
				<div class="form-group">
					<button class="btn float-left btn-info" onclick="goBack()">Go Back</button>
					<button class="btn float-right btn-info" type="submit">Daftar</button>
				</div>
			</form>
		</div>
		<div class="card-footer">
			<div class="d-flex justify-content-center links">
		<small class="text-muted">Already have an account? <a href="{% url 'login:fiturlogin' %}">Sign In</a></small>
			</div>
		</div>
	</div>
</div>

<style>
    .container{
        position: relative;
        
        display: flex;
        flex-direction: column;
        justify-content: space-evenly;
        align-items: center;
		font-family: sans-serif;
    }
    
    div.card{
        max-height: 180vh;
        max-width: 100vw;
		object-fit: cover;
		background-color: rgb(182, 206, 206);
    }
    
    div.d-flex{
        position: relative;
    }
    
    @media screen and (max-width: 900px) {
        html {
            font-size: 10px;
        }
        
    }
</style>
<script>
function goBack() {
  window.history.back();
}
</script>    
    
{% endblock %}

login/templates/base.html
<!DOCTYPE html>
{% load static %}
<html>
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title> Medika Go</title>
    <html lang="en"><head><link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <link rel="stylesheet" type="text/css" href = "{% static 'login.css' %}">
    <link rel = "stylesheet" href = "{% static 'bootstrap.css' %}">
    <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
</head>

  <body>

    <nav class="navbar navbar-expand-lg navbar-light bg-light">
      <a class="navbar-brand" href="#">MEDIKAGO</a>
 
      <div class="collapse navbar-collapse" id="navbarNavDropdown">
          <ul class="navbar-nav">
              {% if request.session.role == 'admin' %}
                  <li class="nav-item active">
                    <a class="nav-link" href="#">Profil <span class="sr-only">(current)</span></a>
                  </li>
                  <li class="nav-item dropdown">
                      <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                          Sesi Konsultasi
                      </a>
                      <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                          <a class="dropdown-item" href="/sesi_konsul/create_sesi_konsul/">Buat Sesi Konsultasi</a>
                          <a class="dropdown-item" href="/sesi_konsul/">Daftar Sesi Konsultasi</a>
                      </div>
                  </li>
                  <li class="nav-item dropdown">
                      <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                          Poliklinik
                      </a>
                      <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                          <a class="dropdown-item" href="/layananpoli/">Buat Layanan Poliklinik</a>
                          <a class="dropdown-item" href="/layananpoli/datalp/">Daftar Layanan Poliklinik</a>
                          <a class="dropdown-item" href="/layananpoli/">Buat Jadwal Poliklinik</a>
                          <a class="dropdown-item" href="/layananpoli/jadwallp/">Daftar Jadwal Poliklinik</a>
                      </div>
                  </li>
                  <li class="nav-item dropdown">
                      <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                          RS Cabang
                      </a>
                      <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                          <a class="dropdown-item" href="#">Buat RS Cabang</a>
                          <a class="dropdown-item" href="#">Daftar RS Cabang</a>
                          <a class="dropdown-item" href="#">Daftarkan Dokter</a>
                          <a class="dropdown-item" href="/regisdokterrs/data/">Daftar Dokter-RS Cabang</a>
                          <a class="dropdown-item" href="/registerAdm/">Daftarkan Administrator</a>
                      </div>
                  </li>
                  <li class="nav-item dropdown">
                      <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                          Tindakan
                      </a>
                      <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                          <a class="dropdown-item" href="#">Buat Tindakan</a>
                          <a class="dropdown-item" href="#">Daftar Tindakan</a>
                          <a class="dropdown-item" href="#">Buat Tindakan Poliklinik</a>
                          <a class="dropdown-item" href="#">Daftar Tindakan Poliklinik</a>
                      </div>
                  </li>
                  <li class="nav-item dropdown">
                      <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                          Resep dan Obat
                      </a>
                      <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                          <a class="dropdown-item" href="/createResep/">Buat Resep</a>
                          <a class="dropdown-item" href="/createResep/daftarResep/">Daftar Resep</a>
                          <a class="dropdown-item" href="/createObat/">Buat Obat</a>
                          <a class="dropdown-item" href="/createObat/daftarObat/">Daftar Obat</a>
                      </div>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="/transaksi/">Daftar Transaksi</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="/transaksi/create">Create Transaksi</a>
                  </li>
                  <li class="nav-item active">
                    <a class="nav-link" style="color: red;" href="{% url 'login:logout' %}">Logout<span class="sr-only">(current)</span></a>
                  </li>
              {% elif request.session.role == 'dokter' or request.session.role == 'pasien' %}
                  <li class="nav-item active">
                    <a class="nav-link" href="#">Profil<span class="sr-only">(current)</span></a>
                  </li>
                  <li class="nav-item active">
                      <a class="nav-link" href="/sesi_konsul/">Daftar Sesi Konsultasi<span class="sr-only">(current)</span></a>
                  </li>
                  <li class="nav-item active">
                      <a class="nav-link" href="#">Daftar Tindakan Poliklinik<span class="sr-only">(current)</span></a>
                  </li>
                  <li class="nav-item active">
                      <a class="nav-link" href="#">Daftar Tindakan<span class="sr-only">(current)</span></a>
                  </li>
                  <li class="nav-item active">
                    <a class="nav-link" href="/createResep/daftarResep/">Daftar Resep<span class="sr-only">(current)</span></a>
                  </li>
                  <li class="nav-item active">
                    <a class="nav-link" href="/createObat/daftarObat/">Daftar Obat<span class="sr-only">(current)</span></a>
                  </li>
                  <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        RS Cabang
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                        <a class="dropdown-item" href="#">Daftar RS Cabang</a>
                        <a class="dropdown-item" href="/regisdokterrs/data/">Daftar Dokter-RS Cabang</a>
                    </div>
                  </li>
                  <li class="nav-item active">
                    <a class="nav-link" href="/layananpoli/datalp/">Daftar Layanan<span class="sr-only">(current)</span></a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="/transaksi/">Daftar Transaksi</a>
                  </li>
                  <li class="nav-item active">
                    <a class="nav-link" style="color: red;" href="{% url 'login:logout' %}">Logout<span class="sr-only">(current)</span></a>
                  </li>
              {% else %}
                  <li class="nav-item active">
                    <a class="nav-link" href="{% url 'login:register' %}">Register<span class="sr-only">(current)</span></a>
                  </li>
                  <li class="nav-item active">
                    <a class="nav-link" style="color: blue;" href="{% url 'login:fiturlogin' %}">Login<span class="sr-only">(current)</span></a>
                  </li>
              {% endif %}
          </ul>
      </div>
  </nav>
      <!-- <nav class="navbar navbar-expand-lg navbar-light">
            <a class="navbar-brand" style="font-weight: bold; font-style: italic;">Medika Go</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
              <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
              <div class="navbar-nav mr-auto w-100 d-flex justify-content-end">
                {% if navbar == True %}
                <a class="nav-item nav-link active" href="{% url '#' %}">Merah</a>
                <a class="nav-item nav-link" href="{% url '#' %}">Hijau</a>
                <a class="nav-item nav-link" href="{% url '#' %}">Kuning</a>
                <a class="nav-item nav-link" href="{% url '#' %}">Ungu</a>
                <a class="nav-item nav-link" href="{% url 'login:fiturlogin' %}">Logout</a>
                {% else %}
                <a class= "nav-item nav-link" href="{% url 'login:fiturlogin' %}" >Login</a>
                <a class= "nav-item nav-link" href="{% url 'login:register' %}" >Register</a>
                {% endif %}
              </div>
            </div>
        </nav>  -->

           

      {% block content %}
      {% endblock %}

    
    <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" 
      integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" 
      integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" 
      integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src = "{% static 'bundle.min.js' %}"></script>

  
  </body>
</html>

login/templates/login.html
{% extends "base.html" %}
{% load static %}
{% block content %}

<div class="container">
	<h1>Welcome to Medika Go</h1>
	<br>
	<div class="d-flex justify-content-center">
		<div class="card">
			<div class="card-header">
				<h3>Sign In</h3>
			</div>
			<div class="card-body">
				<form method="post">
					{% for i in form %}
					<div class="form-group">
						{{ i.label }}
						{{ i }}
						{% if i.errors %}
							<strong style="color: red;">{{ i.errors }}</strong>
						{% endif %}
					</div>
					{% endfor %}
					{% csrf_token %}
					<h6 class="text-center" name="errors" style="color: darkred;">{{ errors }}</h6>
					<button type="submit" class="btn btn-success" style="margin-top: 15px;">Sign</button>
				</form>
			</div>
			<div class="card-footer">
				<div class="d-flex justify-content-center links">
          			<small class="text-muted">Don't have an account? <a href="{% url 'login:register' %}">Sign Up Now</a></small>
				</div>
			</div>
		</div>
  </div>
  </div>

<style>
.container{
    position: relative;
    max-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
	font-family: sans-serif;
	
}

div.card{
	top : 50%
    max-height: 100vh;
    max-width: 100vw;
	object-fit: cover;
	background-color: rgb(182, 206, 206);
}

div.d-flex{
    position: relative;
}

@media screen and (max-width: 900px) {
    html {
        font-size: 10px;
    }
    
}
</style>


{% endblock %}

<!-- <form>
	<div class="input-group form-group">
		<div class="input-group-prepend">
			<span class="input-group-text">Username:</span>
		</div>
		<input type="username" class="form-control">
	</div>
	<div class="input-group form-group">
		<div class="input-group-prepend">
			<span class="input-group-text">Password:</span>
		</div>
		<input type="password" class="form-control">
	</div>
	<div class="form-group">
<button class="btn float-right btn-info" type="submit">Log In</button>
	</div>
</form> -->



          

  

login/templates/register.html
{% extends "base.html" %}
{% block content %}
<table class="table table-active table-hover">
    <tr>
        <th>Choose Register As:</th>
    </tr>
    <tr> 
        <td>
            <a href="{% url 'login:pasien' %}" class="btn btn-outline-info" role="button" aria-pressed="true">Pasien</a>
            <a href="{% url 'login:doctor' %}" class="btn btn btn-outline-info" role="button" aria-pressed="true">Dokter</a>
            <a href="{% url 'login:admin' %}" class="btn btn btn-outline-info" role="button" aria-pressed="true">Administrator</a>

        </td>
    </tr>
</table>
<style>
.table {
    border-radius: 5px;
    width: 50%;
    margin:auto;
    float: none;
}

</style>
{% endblock %}